Technorati Rank WordPress Plugin version 2 släppt!

Het på klackarna av det första Technorati Rank Plugin, jag har redesignat utdatainnehållet för att göra det CSS driven (nedan är en skärmdump, du kan interagera med den i sidans sidofält):

Technorati Rank WordPress Plugin version 2

Den här var ganska lite mer utmanande att producera men produktionen är mycket trevligare. Först använde jag det jag har lärt mig Bittbox för att skapa var och en av utgångsknapparna på bilden i Illustrator.

Nästa steg var att använda stilar för att faktiskt bygga någon av en bildkarta förutom att det finns faktiskt ingen karta! Det är faktiskt ganska coolt. Du kan ställa in den övergripande div-bakgrunden och sedan skapa var och en av de "hotspots" med absolut positionering och CSS. Visa utdata CSS.

Jag lade också till en länk till Technoratis nya WTF sidan och webbplatsens RSS-adress. Jag hoppas du tycker om det! Jag tycker att det är en enorm förbättring från den första versionen! Det är en i länk nere till höger som också främjar plugin.

Nuvarande Technorati Rank WordPress Plugin version 2.0.4

23 Kommentarer

  1. 1
    • 2

      Visst är det! Jag hade letat efter Illustrator-hjälp under ganska lång tid. Jag använder det inte för att vara fantastisk på det, så en webbplats som Bittbox sparar mig MYCKET tid!

  2. 3

    Jag försökte installera det nyaste och bästa enligt dina anvisningar till "bokstaven" 🙂

    men jag fick följande fel

    Fatal error: Kan inte starta obefintlig klass: simplexmlelement i /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php på rad 64

    några förslag?

    • 4
      • 5

        det kommer att lära mig att kontrollera först .. tydligen kör Lunarpages 4.4.4 av PHP

        Antar att jag måste kolla in den andra versionen eller hänga tufft och se om de uppgraderar till 5.0

        • 6

          Jag hoppas att de gör det! Men jag hoppas också att dina värduppgraderingar. PHP5 ger verkligen några mycket bättre prestandaförbättringar, liksom några bättre verktyg för att konsumera API: er. Jag använder Jumpline, du ser en länk i min sponsarlista på min hemsida. Jag tror också att Dotster har några bra VDS-värdar med de senaste och bästa.

      • 7

        Doug
        Jag har samma problem
        Jag ringde till min värd och de sa att min server har PHP 4 och PHP 5, men om jag vill köra en fil med PHP 5 måste skriptet ha .php5 filtillägg.

        Så ... Jag ändrade filtilläggen och den försvinner från plugins i wordpress.

        Några idéer?

  3. 10

    Fantastiskt plugin, utmärkt styling! Tack Doug, och bra jobbat. Jag visste aldrig ens om den första, men det här går i mitt sidofält.

    Det är verkligen givande att se att mina Illustrator-tips hjälpte dig att göra dina knappar !!!!!

    tack igen,

    ~ BittBox

    • 11

      Tack, BittBox! Jag tror att jag har ett bra öga för stil, men jag verkar aldrig få det rätt för det mesta. Att kunna ladda ner dina prover och dissekera dem är det som gör skillnaden. Jag kan faktiskt utföra dessa idéer nu. 🙂

      Jag leker med några tankar om min bloggs rubrik och bakgrund.

  4. 12

    Tja, Doug, det verkar som att version 2-plugin hatar mig. Jag får felmeddelanden:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    Trots felmeddelandena visar det också min Technorati-rang (~ 26.5k: D). Jag är inte tillräckligt kunnig om PHP för att veta varför det gråter över den ena filen.
    Intressant nog använder vi på vår server SuPHP, så allt körs som oss (så chmod-krav kräver inte längre världsskrivbara filer och php-skript kommer inte att köras om chmod till exempel är för högt).

    All php för denna underdomän körs som php5.

    Några idéer?

    • 13

      Har du en wp-innehåll / cache-katalog Xial? Jag trodde att det skulle vara en bra idé att använda samma cache-katalog som WP-Cache. I efterhand var det kanske inte en bra idé! Den raden är definitivt att skriva till cachefilen.

      • 14

        Det gör jag verkligen, Doug. Jag har kört WP-Cache under ett tag. 🙂

        Jag var också lite nyfiken på varför det skulle klaga på det här, eftersom jag har den nödvändiga katalogen, men jag antar att det är något helt annat.

      • 15

        Intressant information att lägga till:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Det returnerar fortfarande felen.

    • 16

      Vill bara ringa in med samma fel. Webbplatsen kör php5 och knappen visas.
      Jag försökte kommentera raderna 121-123, och kontakten fungerar bra. Kan jag sätta den i drift, eller kommer bristen på dessa linjer att orsaka problem på längre sikt?

  5. 17

    Jag får samma fel som ovan, jag trodde också att det var min cache dir men jag har ett och såg också till att skrivrättigheterna var korrekta.
    I sidofältet kommer det att visas plugin (med rang) men med dessa fel ovanför.

    • 18

      Hej Richard,

      Kan du kontrollera att du har PHP version 5+ och att CURL är aktiverat? Du kan göra detta genom att skapa en sida på din webbplats med <?php phpinfo(); ?> på en sida. Öppna sedan den sidan. Överst på sidan har din version av PHP och du kan söka efter CURL för att säkerställa att den är aktiverad.

      Tack!
      Doug

      • 19

        Tja, Doug, jag dubbelkontrollerade min PHP-version.
        Jag kör PHP5 och cURL sammanställs i (en av mina vanliga tre förfrågningar till min värd, för att saker ska sammanställas till PHP).

        Allt annat fungerar bra, men jag är inte helt säker på varför det här pluginet kväver, såvida det inte är den version av cURL som har sammanställts till PHP (vi är 7.15.4 och den senaste verkar vara 7.16.1). Jag vill dock inte plåga min värd att kompilera php5 igen bara för det, om jag kan hjälpa till. <: 3

        • 20

          Jag ska titta djupare på helgen. Det körs utan problem på några webbplatser - så det är en av tre saker: 3. Cache, 1. cURL eller 2. PHP-version.

          Jag kan använda äldre PHP 4-funktioner för att dra och analysera XML men det kan sakta ner det ganska mycket - jag ska testa i helgen. Jag uppskattar alla insatser. "Houston Vi har ett problem!".

  6. 21

    Bara en anmärkning: Technorati har lanserat en Myndighet Plugin.

    Också - för alla de som har problem med detta plugin, skulle jag verkligen uppmuntra dig att flytta till en ny värd :). Jag har en 12 månaders gratis special med min värd längst ner på min Om oss sida.

  7. 22
  8. 23

    Jag har fått en hel del förfrågningar om att det har skett fel vid skrivning eller läsning från cachefilen. Jag identifierade faktiskt ett problem där jag pressade och drog cachefilen till rotkatalogen. Jag har modifierat version 2.0.4 så att den skriver till en cache-underkatalog i plugin-katalogen.

    Snälla låt mig veta hur det går! (Behöver fortfarande SimpleXML och cURL!)

Vad tror du?

Den här sidan använder Akismet för att minska spam. Läs om hur din kommentardata behandlas.